Subject: Re: [Ecrit] draft-ietf-ecrit-phonebcp requirements on IM protocolsin endpoints

From: "Tschofenig, Hannes (NSN - FI/Espoo)" <[email-masked]>
Date: Mon, 5 Apr 2010 11:33:38 +0300

Gunnar is correct with his comment. 
 
Ciao
Hannes

________________________________

	From: [email-masked] [mailto:[email-masked]] On Behalf Of ext Bernard Aboba
	Sent: 11 February, 2010 05:49
	To: 'Gunnar Hellström'; 'Ecrit@Ietf. Org'
	Subject: Re: [Ecrit] draft-ietf-ecrit-phonebcp requirements on IM protocolsin endpoints

	+1

	From: [email-masked] [mailto:[email-masked]] On Behalf Of Gunnar Hellström
	Sent: Wednesday, February 10, 2010 3:58 PM
	To: Ecrit@Ietf. Org
	Subject: [Ecrit] draft-ietf-ecrit-phonebcp requirements on IM protocols in endpoints

	I found a potential small inconsistency in draft-ietf-ecrit-phonebcp

	draft-ietf-ecrit-phonebcp-14  has a requirement in the media section 14, saying:

	" ED-78 Endpoints supporting Instant Messaging (IM) MUST support both

	   [RFC3428] and [RFC4975]."

	Is this to require too much from the endpoints? Currently the users' endpoints seldom implement both IM protocols. Would an endpoint only supporting SIP Message be forbidden to use it in an emergency situation because it does not have MSRP support?  

	I would expect this double requirement on the PSAPs, so that they can handle IM of both kinds.

	This is an endpoint requirement, so I would expect the "both" replaced by "either"/"or".

	Proposal:

	"ED-78 Endpoints supporting Instant Messaging (IM) MUST support either

	   [RFC3428] or [RFC4975]."

	I suggest to make that change in phonebcp unless there is a good explanation why both IM protocols shall be required in the end-user devices.

	Or is there a use case thought behind it:  Alice sends a SIP Message to the PSAP saying "Help!". The PSAP want to establish an IM session to find out all details and therefore tries to connect for an MSRP IM session.  If they responded by SIP Message outside a dialogue, their messages would appear on all terminals logged in on the same SIP address as the one that Alice uses causing an integrity risk.

	Was that the thought behind this double protocol requirement?

	/Gunnar